# Uses of Interface
com.sun.source.doctree.SinceTree

Packages that use SinceTree
Package
Description
com.sun.source.doctree
Provides interfaces to represent documentation comments as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of SinceTree in com.sun.source.doctree

Methods in com.sun.source.doctree with parameters of type SinceTree
Modifier and Type
Method
Description
`R`
DocTreeVisitor.`visitSince(SinceTree node, P p)`
Visits a `SinceTree` node.

## Uses of SinceTree in com.sun.source.util

Methods in com.sun.source.util that return SinceTree
Modifier and Type
Method
Description
`SinceTree`
DocTreeFactory.`newSinceTree(List<? extends DocTree> text)`
Creates a new `SinceTree` object, to represent a `@since` tag.
Methods in com.sun.source.util with parameters of type SinceTree
Modifier and Type
Method
Description
`R`
DocTreeScanner.`visitSince(SinceTree node, P p)`
Visits a `SinceTree` node.
`R`
SimpleDocTreeVisitor.`visitSince(SinceTree node, P p)`
Visits a `SinceTree` node.